#include <bits/stdc++.h>
    using namespace std;
  
    
 


    int main(){
        long long n, m, a;
        cin>>n>>m;
        for(int i=0; i<m; i++){
        cin>>a>>a>>a;
        }
        cin>>n>>m;
        a=1;
        cout<<a;

}